5

So I'm running the master Gantry template however I'm constantly hitting the following PHP notice in my error log - like 20/30 times a day: PHP Notice: Undefined property: Gantry::$belatedPNG in /JROOT/libraries/gantry/features/belatedpng.php on line 44 (where obviously I've substituted JROOT in for my actual path). However I can't see it on all the pages on my site - so I'm wondering if it's bot's crawling onto a non-html page (I noticed before there was a gantry error when viewing feeds for example that I fixed).

Now Gantry don't offer free support as I'm aware (and it's just a personal site so I'm not gonna spend $'s on it) so I was wondering if anyone had come across this problem before or knew of any way to fix it.

  • What's the code on the line 44 ? – Dmitry Rekun Apr 24 '14 at 12:44
  • $fixes = $gantry->belatedPNG; gantry is a global global $gantry; that I haven't been able to nail down – George Wilson Apr 24 '14 at 12:57
  • 1
    It's bad. The problem is deeper then I thought. And globals are also bad... Seems like a modification should be made in the init point of belatedPNG. – Dmitry Rekun Apr 24 '14 at 13:00
  • 1
    Which versions of Joomla, Gantry Framework and Gantry template are you using? Which versions of Akeeba extensions are you using (if any)? – Neil Robertson Apr 24 '14 at 13:45
  • 1
    Akeeba Admin is latest. Dunno how i missed the gantry update staring me in the face but updated it and it hasn't appeared to have made any difference still same error same line. Out of interest why is akeeba extensions a problem? Akeeba strapper?? – George Wilson Apr 26 '14 at 0:52
3

BelatedPNG is a method of fixing transparent PNG backgrounds for IE6. Gantry and Rockettheme haven't supported IE6 in many months if not years. This sounds like an older version of Gantry.

I'd update your Gantry version as well as your Gantry template files and Rockettheme extensions. Something is a holdover here.

  • I only built this site ~6 months ago. I've updated to latest but it all still exists – George Wilson May 1 '14 at 21:56
  • The library itself on that line is : <code>if ($gantry->browser->name == 'ie' && $gantry->browser->shortversion == '6') { $fixes = $gantry->belatedPNG;</code> So it is only triggered when the user agent is ie6 or below. That's going to be a weak bot or a mistake. – Toni Marie May 1 '14 at 22:05
  • Well that's how I saw it. But this is just a small personal site and I'm getting 20/30 of those php notices every day. And it's just something that would be nice to fix :p hence the question – George Wilson May 2 '14 at 0:00

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.